This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461684 - virt-manager should rebuild dom capabilities when chipset updated
virt-manager should rebuild dom capabilities when chipset updated
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-manager (Show other bugs)
7.4
x86_64 Unspecified
low Severity low
: rc
: ---
Assigned To: Pavel Hrdina
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 03:39 EDT by xiaodwan
Modified: 2017-09-26 06:00 EDT (History)
6 users (show)

See Also:
Fixed In Version: virt-manager-1.4.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot-1 (175.76 KB, image/png)
2017-09-22 04:15 EDT, zhoujunqin
no flags Details

  None (edit)
Description xiaodwan 2017-06-15 03:39:49 EDT
Description of problem:
virt-manager should rebuild dom capabilities when chip-set updated

Version-Release number of selected component (if applicable):
virt-manager-1.4.1-7.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a new vm, and check "Customize configuration before install" at step 5 of 5, then click finish.
2. In the customize window, modify the chipset to "q35" and firmware to UEFI, then click Apply button.
3. Select the disk and check the disk bus of the disk.

Actual results:
"IDE" is still be listed in Disk bus.

Expected results:
"IDE" should be removed when chip-set is Q35.

Additional info:
Comment 1 Pavel Hrdina 2017-09-19 04:42:23 EDT
Upstream patch posted:

https://www.redhat.com/archives/virt-tools-list/2017-September/msg00101.html
Comment 2 Pavel Hrdina 2017-09-20 04:29:39 EDT
Upstream commit:

commit fd420fdacd2caa341e6c47cf56c9d8d1b9feee53
Author: Pavel Hrdina <phrdina@redhat.com>
Date:   Tue Sep 19 10:40:09 2017 +0200

    domain: invalidate domain caps if machine type is changed
Comment 4 zhoujunqin 2017-09-22 04:10:55 EDT
I try to verify this bug with new build:
virt-manager-1.4.3-1.el7.noarch

Steps:
1. Create a new vm with 'Network Install' method, and check "Customize configuration before install" at step 5 of 5, then click finish.
2. In the customize window, modify the chipset to "q35" and firmware to UEFI, then click Apply button.
3. Select the disk and check the disk bus of the disk.

Result:
1) After step3, disk bus type shows: virtio/usb/sata/scsi, no 'ide' lists.
2) If i click 'Add Hardware' button, then i checked bus type for CDROM device is:  sata/scsi.

But Pavel, i also have a question here want to confirm with you, thanks.
When I create a vm with Local ISO image method, then repeat step 1&2,
I find disk bus type keeps 'IDE' for cdrom after step2, details please see screenshot-1, but in disk bus list there is no 'IDE' listing here.

If i click 'Begin installation', it will failed with error:
Unable to complete install: 'unsupported configuration: IDE controllers are unsupported for this QEMU binary or machine type'
I need to change cdrom from ide to sata or scsi.

I'm not sure whether we can accept it or not, thanks.
Comment 5 zhoujunqin 2017-09-22 04:15 EDT
Created attachment 1329451 [details]
Screenshot-1
Comment 6 Pavel Hrdina 2017-09-22 04:42:05 EDT
I would create a new BUG for that.  This will require some more coding because it may affect more devices, not only disks.
Comment 7 zhoujunqin 2017-09-24 22:42:33 EDT
(In reply to Pavel Hrdina from comment #6)
> I would create a new BUG for that.  This will require some more coding
> because it may affect more devices, not only disks.

Ok, Pavel, after you file that bug, please leave bug id here, thanks.
Comment 8 Pavel Hrdina 2017-09-26 04:37:15 EDT
Now when I'm thinking about it a little bit more I'm not sure, whether we should change the disk bus and other default values when the chipset is changed.  User can decide to switch it back or would like to use that specific configuration.  With the current behavior the error message will tell them that this configuration isn't possible and they can decide to change the chipset back or update the affected devices.

I would rather keep the current behavior with the error message.
Comment 9 zhoujunqin 2017-09-26 06:00:31 EDT
(In reply to Pavel Hrdina from comment #8)
> Now when I'm thinking about it a little bit more I'm not sure, whether we
> should change the disk bus and other default values when the chipset is
> changed.  User can decide to switch it back or would like to use that
> specific configuration.  With the current behavior the error message will
> tell them that this configuration isn't possible and they can decide to
> change the chipset back or update the affected devices.
> 
> I would rather keep the current behavior with the error message.

Hi Pavel
Don't worry, it works for me.
For the error message is clear enough for user.

So I move this bug from ON_QA to VERIFIED status, thanks.

Note You need to log in before you can comment on or make changes to this bug.